Amazon Seller Products
Scrape Amazon products from a specific seller in real time.

Scrape Amazon products from a specific seller, in real time via our ready-to-use REST API.
To enable this feature, set the type=seller_products parameter.
The Amazon Seller Products feature should be used when scraping Amazon products from a seller. This feature returns a JSON object with the available products sold by a seller. Among other useful information, the main keys included in the JSON object are:
search_informationseller_resultsbrand_resultspaginationamazon_pagination
Amazon Seller Products Parameters
The Amazon Seller Products feature only takes one specific parameter:
| Parameter | Required | Type | Description |
|---|---|---|---|
seller_id | ✅ | string | The ID of an Amazon seller. |
Your full GET request should then be sent to the following address:
https://ecom.webscrapingapi.com/v1?engine=amazon&api_key=<YOUR_API_KEY>&type=seller_products&seller_id=AAZRLVTNON75ZAmazon Seller Products Integration Examples
curl --get "https://ecom.webscrapingapi.com/v1" \
--data-urlencode "engine=amazon" \
--data-urlencode "api_key=<YOUR_API_KEY>" \
--data-urlencode "type=seller_products" \
--data-urlencode "seller_id=AAZRLVTNON75Z"const API_KEY = "<YOUR_API_KEY>";
const SCRAPER_URL = "https://ecom.webscrapingapi.com/v1";
const params = new URLSearchParams({
engine: "amazon",
api_key: API_KEY,
type: "seller_products",
seller_id: "AAZRLVTNON75Z",
});
const response = await fetch(`${SCRAPER_URL}?${params}`);
const data = await response.text();
console.log(data);import requests
API_KEY = "<YOUR_API_KEY>"
SCRAPER_URL = "https://ecom.webscrapingapi.com/v1"
PARAMS = {
"engine": "amazon",
"api_key": API_KEY,
"type": "seller_products",
"seller_id": "AAZRLVTNON75Z",
}
response = requests.get(SCRAPER_URL, params=PARAMS)
print(response.text)<?php
$apiKey = '<YOUR_API_KEY>';
$scraperUrl = 'https://ecom.webscrapingapi.com/v1';
$query = http_build_query([
'engine' => 'amazon',
'api_key' => $apiKey,
'type' => 'seller_products',
'seller_id' => 'AAZRLVTNON75Z',
]);
$response = file_get_contents("{$scraperUrl}?{$query}");
echo $response;package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
apiKey := "<YOUR_API_KEY>"
baseURL := "https://ecom.webscrapingapi.com/v1"
params := url.Values{}
params.Add("engine", "amazon")
params.Add("api_key", apiKey)
params.Add("type", "seller_products")
params.Add("seller_id", "AAZRLVTNON75Z")
req, _ := http.NewRequest("GET", baseURL+"?"+params.Encode(), nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
String apiKey = "<YOUR_API_KEY>";
String url = "https://ecom.webscrapingapi.com/v1"
+ "?engine=amazon"
+ "&api_key=" + apiKey
+ "&type=seller_products"
+ "&seller_id=AAZRLVTNON75Z";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}using System;
using System.Net.Http;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var apiKey = "<YOUR_API_KEY>";
var url = "https://ecom.webscrapingapi.com/v1"
+ "?engine=amazon"
+ "&api_key=" + apiKey
+ "&type=seller_products"
+ "&seller_id=AAZRLVTNON75Z";
using var client = new HttpClient();
var response = await client.GetAsync(url);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}
}require "net/http"
require "uri"
api_key = "<YOUR_API_KEY>"
uri = URI("https://ecom.webscrapingapi.com/v1")
uri.query = URI.encode_www_form({
engine: "amazon",
api_key: api_key,
type: "seller_products",
seller_id: "AAZRLVTNON75Z",
})
response = Net::HTTP.get_response(uri)
puts response.bodyResponse example
{
"search_parameters": {
"amazon_url": "https://www.amazon.com/s?me=AAZRLVTNON75Z",
"engine": "amazon",
"amazon_domain": "amazon.com",
"device": "desktop",
"type": "seller_products",
"seller_id": "AAZRLVTNON75Z"
},
"search_information": {
"organic_results_state": "Results for exact spelling"
},
"search_results": {
"product_results": [
{
"position": 1,
"product_id": "B01NGTV4J5",
"title": "Cascade Platinum Dishwasher Pods",
"link": "https://www.amazon.com/dp/B01NGTV4J5",
"price": "$38.88",
"currency": "$"
}
]
}
}